Subject: Re: [PATCH net-next 2/6] sfc: implement basic per-queue stats

From: Jakub Kicinski <[email-masked]>
Date: Thu, 5 Sep 2024 07:56:00 -0700

On Thu, 5 Sep 2024 11:57:59 +0100 Edward Cree wrote:
> On 29/08/2024 01:41, Jakub Kicinski wrote:
> > IOW let's not count dedicated XDP queues here at all, if we can.  
> 
> But they should still go in base_stats, like other not-core
>  queues, right?

Yeah, I think so. I'm not 100% confident, but I think it makes sense
for tx-packets / tx-bytes to be inclusive of all more granular counters
(IOW even if we report xdp-tx-packets, the main tx-packets should also
count those frames).